Vip (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.vip.Vip interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.vip
Interface Vip

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  BigIPVip

    public interface Vip

extends LogicalElement

A Virtual IP as used for NAT and load balancing

Author:
  johan
Naming Rules:
  0="parent,vipAddress"
Persistable:
  true
Table Name:
  VIP
Display Name:
  vipAddress

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IpAddress` | `getIMask()` Imask that can be used to indicate an address range for the vip IP address Currently alteon specific
`IpInterface` | `getIpInterface()` The IP interface the VIP is residing on
`VipFunction` | `getParent()` Parent pointer to VipFunction
`IpAddress` | `getVipAddress()` The Virtual IP address
`IpAddress` | `getVipNetmask()` The Virtual IP netmask
`VirtualService[]` | `getVirtualServices()` The set of virtual services that are hosted on this VIP
`boolean` | `hasIMask()`
`boolean` | `hasIpInterface()`
`boolean` | `hasParent()`
`boolean` | `hasVipAddress()`
`boolean` | `hasVipNetmask()`
`boolean` | `hasVirtualServices()`
`void` | `setIMask(IpAddress mask)`
`void` | `setIpInterface(IpInterface intf)`
`void` | `setParent(VipFunction parent)`
`void` | `setVipAddress(IpAddress addr)`
`void` | `setVipNetmask(IpAddress addr)`
`void` | `setVirtualServices(VirtualService[] services)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    VipFunction getParent()
                          throws AttributeNotSetException

  Parent pointer to VipFunction

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setParent

    void setParent(VipFunction parent)

### hasParent

    boolean hasParent()

### getVipAddress

    IpAddress getVipAddress()
                            throws AttributeNotSetException

  The Virtual IP address

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Exposes" reverse="false"

### setVipAddress

    void setVipAddress(IpAddress addr)

### hasVipAddress

    boolean hasVipAddress()

### getVipNetmask

    IpAddress getVipNetmask()
                            throws AttributeNotSetException

  The Virtual IP netmask

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setVipNetmask

    void setVipNetmask(IpAddress addr)

### hasVipNetmask

    boolean hasVipNetmask()

### getIMask

    IpAddress getIMask()
                       throws AttributeNotSetException

  Imask that can be used to indicate an address range for the vip IP address Currently alteon specific

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setIMask

    void setIMask(IpAddress mask)

### hasIMask

    boolean hasIMask()

### getIpInterface

    IpInterface getIpInterface()
                               throws AttributeNotSetException

  The IP interface the VIP is residing on

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setIpInterface

    void setIpInterface(IpInterface intf)

### hasIpInterface

    boolean hasIpInterface()

### getVirtualServices

    VirtualService[] getVirtualServices()
                                        throws AttributeNotSetException

  The set of virtual services that are hosted on this VIP

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setVirtualServices

    void setVirtualServices(VirtualService[] services)

### hasVirtualServices

    boolean hasVirtualServices()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD